int n = 4;
int l = 5;
int[] h = new int[n];
h[0] = 7;
h[1]= 8;
h[2] = 4;
h[3] = 10;
int br;
for(int i = 0; i < n; i++)
{
    if (h[i] >= l)
    {
        continue;
    }
    else
    {
        Console.WriteLine(i + 1);
    }
}